import scipy as sp
import numpy
from pymbar import MBAR

# Read in 2 data sets which each contain 10000 samples
p = sp.loadtxt("f-pw-ar1-E.dat",dtype=float)
ap = sp.loadtxt("new-antipar-E.dat",dtype=float)
p = p[:,1]
ap = ap[:,1][0:10000]

# u_kn contains two states with 10000 samples per state
u_kn = sp.vstack([p,ap])

# N_k is the number of samples to be drawn from each distribution
N_k = sp.array([5000,5000])

mbar = MBAR(u_kn,N_k,relative_tolerance=1.0e-10,verbose=True)

(Delta_f_ij_estimated,dDelta_f_ij_estimated,_Theta_ij) = mbar.getFreeEnergyDifferences()
print "Uncertainty in free energy is: "
print dDelta_f_ij_estimated
